View Issue Details

Category
整備班:YAYA
SeverityfeatureReproducibilityN/A 
Status closed 
Summary0000189: draft code:support of 'dicdir' in yaya.txt
Description

I wrote draft code to implement function http://ssp.shillest.net/bts/view.php?id=182
https://github.com/steve02081504/yaya-shiori/commit/0b20cdc1d1105d6c6ad28fdc5c7a102d4bb0320f

With the advent of Tc555, I think it is necessary to complete this function, which makes it easier for DIC backup in emergency mode directly by folder copying: we judge whether there is an error when loading by 'if GETERRORLOG', while the content of emergency.txt only needs 'dicdir,dic_backup', instead of following the content of yaya.txt

Reasons for not submitting PR:
1.This is the draft code

  1. All the files in my fork have been converted to utf8. Submitting PR will lead to garbled code in your branch
  2. I'm also trying to build LOADDIC and other functions (maybe later... Maybe)

PS: Tc555 is great, thanks.
仮面ライダーファイズ(錯乱)

Relationships

parent of 0000182 closedponapalt Let Yaya support automatically contain the entire folder‘s dic file 
parent of 0000181 closedponapalt run time dic file load 

Activities

ponapalt

2021-06-27 21:58

administrator   ~0000429

Tc556-1 implemented.

Issue History

Date Modified Username Field Change
2021-06-25 20:11 guest New Issue
2021-06-26 07:02 ponapalt Relationship added parent of 0000182
2021-06-26 11:11 ponapalt Assigned To => ponapalt
2021-06-26 11:11 ponapalt Status new => assigned
2021-06-26 11:13 ponapalt Relationship added parent of 0000181
2021-06-27 21:58 ponapalt Status assigned => closed
2021-06-27 21:58 ponapalt Resolution open => fixed
2021-06-27 21:58 ponapalt Note Added: 0000429